Bug 171837 - *** glibc detected *** pptp: call manager for : double free or corruption (!prev): 0x089f5638 ***
*** glibc detected *** pptp: call manager for : double free or corruption (!p...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pptp (Show other bugs)
4
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-26 17:22 EDT by Yechie Labay
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-14 03:50:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yechie Labay 2005-10-26 17:22:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
on termination of pptp call manager, the following debug error trace is printed out:
-------------------------------------------------------------------------------
[root@localhost nvc]# *** glibc detected *** pptp: call manager for 212.143.209.9: double free or corruption (!prev): 0x089f5638 ***
======= Backtrace: =========
/lib/libc.so.6[0x99c38c]
/lib/libc.so.6(__libc_free+0x6b)[0x99c88f]
pptp: call manager for 212.143.209.9[0x804c568]
pptp: call manager for 212.143.209.9[0x8050e51]
pptp: call manager for 212.143.209.9[0x804a0f5]
pptp: call manager for 212.143.209.9[0x8049fcc]
pptp: call manager for 212.143.209.9[0x8049be1]
/lib/libc.so.6(__libc_start_main+0xb3)[0x951dfb]
pptp: call manager for 212.143.209.9(read+0x41)[0x804937d]
======= Memory map: ========
006b7000-006b9000 r-xp 00000000 fd:00 200498     /lib/libutil-2.3.5.so
006b9000-006ba000 r-xp 00001000 fd:00 200498     /lib/libutil-2.3.5.so
006ba000-006bb000 rwxp 00002000 fd:00 200498     /lib/libutil-2.3.5.so
006de000-006e7000 r-xp 00000000 fd:00 200478     /lib/libgcc_s-4.0.0-20050520.so.1
006e7000-006e8000 rwxp 00009000 fd:00 200478     /lib/libgcc_s-4.0.0-20050520.so.1
008d0000-008d1000 rwxp 008d0000 00:00 0
00919000-0091a000 rwxp 00919000 00:00 0
00921000-00939000 r-xp 00000000 fd:00 200464     /lib/ld-2.3.5.so
00939000-0093a000 r-xp 00018000 fd:00 200464     /lib/ld-2.3.5.so
0093a000-0093b000 rwxp 00019000 fd:00 200464     /lib/ld-2.3.5.so
0093d000-00a54000 r-xp 00000000 fd:00 200465     /lib/libc-2.3.5.so
00a54000-00a56000 r-xp 00117000 fd:00 200465     /lib/libc-2.3.5.so
00a56000-00a58000 rwxp 00119000 fd:00 200465     /lib/libc-2.3.5.so
00a58000-00a5a000 rwxp 00a58000 00:00 0
00dcd000-00dce000 r-xp 00dcd000 00:00 0
08048000-08054000 r-xp 00000000 fd:00 983407     /root/nvc/pptp
08054000-08055000 rwxp 0000c000 fd:00 983407     /root/nvc/pptp
08055000-08057000 rwxp 08055000 00:00 0
089f3000-08a14000 rwxp 089f3000 00:00 0          [heap]
b7e00000-b7e21000 rwxp b7e00000 00:00 0
b7e21000-b7f00000 --xp b7e21000 00:00 0
bf83b000-bf850000 rwxp bf83b000 00:00 0          [stack]
---------------------------------------------------------------

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run the pptp as follows: ./pptp $NVGW debug user $USERNAME mtu 1380 mru 1380 defaultroute persist nobsdcomp usepeerdns
2. after successful connection, just kill the pptp process
3. since the pptp initiated with debug mode, the error printout will be printed
  

Actual Results:  the pptp and the call manager are terminated with the error reported here

Expected Results:  i suppose no error reporting and exit with 0

Additional info:
Comment 1 Paul Howarth 2005-10-27 05:34:23 EDT
Can you try installing the pptp-debuginfo package and generating the backtrace
again? That may provide more clues as to where the problem is.

http://download.fedora.redhat.com/pub/fedora/linux/extras/4/i386/debug/pptp-debuginfo-1.7.0-2.fc4.i386.rpm
Comment 2 Paul Howarth 2005-10-28 12:57:16 EDT
Could you also:

* confirm that you are having the problem with pptp version 1.7.0, not 1.6.0
(which has a known bug of this type)

* try running pptp under valgrind?

# yum install valgrind

$ valgrind ./pptp $NVGW debug user $USERNAME mtu 1380 mru 1380 defaultroute persist
Comment 3 Charlie Brady 2005-11-03 12:23:35 EST
It would be prudent to do this instead:

 valgrind ./pptp "$NVGW" debug user "$USERNAME" mtu 1380 mru 1380 \
   defaultroute persist

Comment 4 Paul Howarth 2005-12-14 03:50:12 EST
In the absence of any feedback from the reporter, I'll be closing this bug soon.

Note You need to log in before you can comment on or make changes to this bug.